Create an API key
POST
/v1/keys
const url = 'https://api.extport.dev/api/v1/keys';const options = { method: 'POST', headers: { cookie: 'extport_session=<extport_session>', 'Content-Type': 'application/json' }, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.extport.dev/api/v1/keys \ --header 'Content-Type: application/json' \ --cookie extport_session=<extport_session> \ --data '{ "name": "example" }'The plaintext key is returned exactly once, here, and never persisted or shown again.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Examplegenerated
{ "name": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
string
name
required
string
key
required
string
masked
required
string
Examplegenerated
{ "id": "example", "name": "example", "key": "example", "masked": "example"}